/*
	$Id: rtconfig.h,v 1.9 2003/09/20 12:02:32 crosser Exp $

	$Log: rtconfig.h,v $
	Revision 1.9  2003/09/20 12:02:32  crosser
	one more spam sample
	
	Revision 1.8  2003/09/11 13:56:26  crosser
	check_ct - watch for empty body.  Test some broken cases
	
	Revision 1.7  2003/09/05 10:10:42  crosser
	make config parameter "gcfg.modconfdir" and access method
	
	Revision 1.6  2003/09/03 16:07:43  crosser
	make pid file
	make zmsctl look and work without termios
	make zmsctl use socket name from config
	
	Revision 1.5  2003/09/02 22:20:11  crosser
	make initial stage run time configurable
	
	Revision 1.4  2003/09/02 08:05:01  crosser
	make dynamic loading work on Solaris
	
	Revision 1.3  2003/09/01 22:39:00  crosser
	scan interesting headers
	FIXME: skip processing of last header
	
	Revision 1.2  2003/09/01 14:04:40  crosser
	make runtime config
	
	Revision 1.1  2003/09/01 09:39:21  crosser
	add head comments where necessary
	add run time config function
	
*/

/*
	WHAT IS IT:
		modularized contentfilter for Zmailer
	COPYRIGHT:
		(c) 2003 Eugene G. Crosser <crosser@average.org>
	LICENSE:
		The same set as apply to Zmailer code
*/

#ifndef RTCONFIG_H
#define RTCONFIG_H

typedef struct _gcfg {
	int maxsize;
	char *socket;
	char *initstage;
	char *finalstage;
	char *pidfile;
	char *modconfdir;
} gcfg_t;
extern gcfg_t gcfg;

extern int
readconfig(char *fn,int loadmodules);

#endif
